Skip to main content
GET
List events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_index
number
default:1

Deprecated. Use page instead.

page_size
number
default:15

Deprecated. Use limit instead.

sort_start_date
enum<string>
default:asc
Available options:
asc,
desc
title
string

Search by event title

category
string
start_date
string
end_date
string
price_min
number
Example:

0

price_max
number
Example:

1000

location
string

Filter by city, venue, or address name

Example:

"Lagos"

status
enum<string>

Filter by event status

Available options:
PENDING,
APPROVED,
ENDED,
CANCELLED,
LIVE
enable_waitlist
boolean

Filter events based on waitlist configuration

limit
number

Items per page (default: 20)

page
number

Page number (default: 1)

Response

Paginated list of events